Last Comment Bug 23642 - Obsolete APIs removed in NSPR 4.0
: Obsolete APIs removed in NSPR 4.0
Status: RESOLVED FIXED
:
Product: NSPR
Classification: Components
Component: NSPR (show other bugs)
: 3.0
: x86 All
: P3 normal (vote)
: ---
Assigned To: srinivas
: srinivas
Mentors:
Depends on: 17101 17699 19150 24542 26844
Blocks: 23641
  Show dependency treegraph
 
Reported: 2000-01-11 07:58 PST by srinivas
Modified: 2000-03-13 21:01 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description srinivas 2000-01-11 07:58:36 PST
The following obsolete interfaces will be deleted from NSPR 4.0

PR_GetSockOpt
PR_SetSockOpt
PR_CreateNetAddr
PR_DestroyNetAddr
PR_GetHostName
PR_GetErrorString
Comment 1 John G. Myers 2000-01-21 18:44:56 PST
Can we remove PR_SetIPv6Enable()?
Comment 2 srinivas 2000-01-25 17:58:45 PST
Deleted PR_SetIPv6Enable() and PR_FamilyInet().

See Bugzilla #23815.

Comment 3 Wan-Teh Chang 2000-01-27 14:44:16 PST
Deleted PR_NT_UseNonblock (see bug #24542).
Comment 4 Wan-Teh Chang 2000-01-27 17:54:29 PST
The header file prlink_mac.h and the two 
Mac-specific functions declared in it,
PR_LoadIndexedFragment and PR_LoadNamedFragment,
were removed.  (See bug #19150.)
Comment 5 Wan-Teh Chang 2000-01-27 18:04:30 PST
PLEvent was removed from libplds3.  This includes all the
data types, macros, and functions defined or declared in
plevent.h.  The header plevent.h was also removed.

The new home for PLEvent and the header plevent.h
is mozilla/xpcom/threads.  (See bug #17101.)
Comment 6 Wan-Teh Chang 2000-02-03 16:02:24 PST
I removed the following obsolete functions on the
NSPRPUB_RELEASE_4_0_BRANCH:
  PR_GetSockOpt
  PR_SetSockOpt
  PR_CreateNetAddr
  PR_DestroyNetAddr
  PR_GetHostName
  PR_GetErrorString

Should we rename the 'getsockopt' and 'setsockopt' fields in
the PRIOMethods structure to 'reserved_fn_n'?  This is to break
the compilation of the code that is still using those two
fields.

These two fields in all of NSPR's io method tables are now
initialized to _PR_InvalidStatus, so they will fail at run time.
Comment 7 srinivas 2000-02-03 16:24:11 PST
Yes, the get/setsockopt functions should be marked reserved.
Comment 8 Wan-Teh Chang 2000-02-03 19:13:42 PST
I renamed the 'getsockopt' and 'setsockopt' fields
of the PRIOMethods structure to 'reserved_fn_6' and
'reserved_fn_5'.  (NSPRPUB_RELEASE_4_0_BRANCH)
Comment 9 Wan-Teh Chang 2000-02-07 10:42:30 PST
lib/prstreams (header prstrms.h, library libprstrms3.so) has
been removed from NSPR 4.0.  (See bug #26844.)
Comment 10 Wan-Teh Chang 2000-02-29 19:42:35 PST
The obsolete internal functions PR_SetThreadExit
and PR_GetThreadExit were removed. (Bugzilla #17699)
Comment 11 Wan-Teh Chang 2000-03-02 11:45:26 PST
The macro PR_NETADDR_SIZE and function PR_NetAddrSize
are no longer exported.  They were moved to the internal
header file primpl.h, and PR_NetAddrSize is renamed
_PR_NetAddrSize.  (The leading underscore indicates an
internal function.)
Comment 12 srinivas 2000-03-13 21:01:28 PST
Marking fixed.

Note You need to log in before you can comment on or make changes to this bug.